"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.capture = capture;
var _encoder = require("../encoder/encoder");
var _nodes = require("../utils/nodes");
function capture(nodes) {
  return {
    type: 'capture',
    children: (0, _nodes.asNodeArray)(nodes),
    encode: encodeCapture
  };
}
function encodeCapture() {
  return {
    precedence: 'atom',
    pattern: `(${(0, _encoder.encodeSequence)(this.children).pattern})`
  };
}
//# sourceMappingURL=capture.js.map