import { encodeSequence } from '../encoder/encoder';
import { asNodeArray } from '../utils/nodes';
export function capture(nodes) {
  return {
    type: 'capture',
    children: asNodeArray(nodes),
    encode: encodeCapture
  };
}
function encodeCapture() {
  return {
    precedence: 'atom',
    pattern: `(${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=capture.js.map