/// <reference types="jest" />
import type { RegexNode } from '../src/types';
export declare function toMatchGroups(this: jest.MatcherContext, received: RegExp | RegexNode | RegexNode[], input: string, expected: string[]): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toMatchGroups(input: string, expected: string[]): R;
        }
    }
}
//# sourceMappingURL=to-match-groups.d.ts.map