import type { RegexElement, RegexNode } from '../types';
export interface OneOrMore extends RegexElement {
    type: 'oneOrMore';
    children: RegexNode[];
}
export interface Optionally extends RegexElement {
    type: 'optionally';
    children: RegexNode[];
}
export interface ZeroOrMore extends RegexElement {
    type: 'zeroOrMore';
    children: RegexNode[];
}
export declare function oneOrMore(nodes: RegexNode | RegexNode[]): OneOrMore;
export declare function optionally(nodes: RegexNode | RegexNode[]): Optionally;
export declare function zeroOrMore(nodes: RegexNode | RegexNode[]): ZeroOrMore;
//# sourceMappingURL=quantifiers.d.ts.map