/// <reference types="jest" />
import type { RegexNode } from '../src/types';
export declare function toHavePattern(this: jest.MatcherContext, nodes: RegexNode | RegexNode[], expected: string): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toHavePattern(expected: string): R;
        }
    }
}
//# sourceMappingURL=to-have-pattern.d.ts.map